be.ehealth.business.mycarenetdomaincommons.domain

## Class Period

- java.lang.Object
- - be.ehealth.business.mycarenetdomaincommons.domain.Period

- All Implemented Interfaces:
    Serializable

      public class Period
      extends Object
      implements Serializable

  maps to the mycarenet PeriodType. cfr documentation from mycarenet :

       •   Period: If the business request has a fixed period length, this can be omitted.  In case the business request has a variable period it must be provided.  See the relevant service catalogue for the specific rules.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Period(org.joda.time.DateTime begin, org.joda.time.DateTime end)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getBegin()`
    `org.joda.time.DateTime` | `getEnd()`
    `void` | `setBegin(org.joda.time.DateTime begin)`
    `void` | `setEnd(org.joda.time.DateTime end)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Period

          public Period(org.joda.time.DateTime begin,
                        org.joda.time.DateTime end)

      Parameters:
        `begin` -
        `end` -

  - ### Method Detail

    - #### getBegin

          public org.joda.time.DateTime getBegin()

      Returns:
        the begin

    - #### setBegin

          public void setBegin(org.joda.time.DateTime begin)

      Parameters:
        `begin` - the begin to set

    - #### getEnd

          public org.joda.time.DateTime getEnd()

      Returns:
        the end

    - #### setEnd

          public void setEnd(org.joda.time.DateTime end)

      Parameters:
        `end` - the end to set

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.